Description

Currently the f:escape ViewHelper is targeted at a lot of different use cases (html escaping, url encoding, strip tags, ...).
That makes it harder to test and to extend.
Additionally the current implementation has the severe side-effect that the input value is not escaped at all, if the specified format is
not supported.

Related issues:
related to TYPO3.Fluid - Task # 27583: Move raw ViewHelper to format.raw Resolved 2011-06-20
related to TYPO3.Fluid - Bug # 8484: Revise EscapeViewHelper Closed 2010-06-24

Associated revisions
Revision 45f33401 - 2011-07-27 09:36 - Bastian Waidelich

[+TASK] Split escape ViewHelper into dedicated format ViewHelpers

This change creates a dedicated ViewHelper for all formats the
Escape ViewHelper supported.
This also marks the Escape ViewHelper deprecated and adds unit
tests for the new ViewHelpers.

Resolves #27628

Change-Id: Ic041f017cca4310cdc807c78c9ac0693a19e3f51

History
#1 - 2011-07-11 14:33 - Bastian Waidelich
- Status changed from New to Under Review

Patch set available at http://review.typo3.org/2864

#2 - 2011-07-27 10:05 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:45f334015b30cdd082cf9d2e6336a538a1b0d275.
